@font-face {
    font-family: 'Yekan';
    src: url('./Yekan.eot'); /* IE9 Compat Modes */
    src: url('./Yekan.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('./Yekan.woff2') format('woff2'), /* Modern Browsers */
    url('./Yekan.woff') format('woff'), /* Modern Browsers */
    url('./Yekan.otf') format('opentype'), /* Open Type Font */
    url('./Yekan.ttf') format('truetype'), /* Safari, Android, iOS */
    url('./Yekan.svg#Yekan') format('svg'); /* Legacy iOS */
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: Sahel;
    src: url('Sahel.eot');
    src: url('Sahel.eot?#iefix') format('embedded-opentype'),
         url('Sahel.woff2') format('woff2'),
         url('Sahel.woff') format('woff'),
         url('Sahel.ttf') format('truetype');
    font-weight: normal;
  }
        
  @font-face {
    font-family: Sahel;
    src: url('Sahel-Bold.eot');
    src: url('Sahel-Bold.eot?#iefix') format('embedded-opentype'),
         url('Sahel-Bold.woff2') format('woff2'),
         url('Sahel-Bold.woff') format('woff'),
         url('Sahel-Bold.ttf') format('truetype');
    font-weight: bold;
  }
  
  @font-face {
    font-family: Sahel;
    src: url('Sahel-Light.eot');
    src: url('Sahel-Light.eot?#iefix') format('embedded-opentype'),
         url('Sahel-Light.woff2') format('woff2'),  
         url('Sahel-Light.woff') format('woff'),
         url('Sahel-Light.ttf') format('truetype');
    font-weight: 300;
  }
        
  @font-face {
    font-family: Sahel;
    src: url('Sahel-SemiBold.eot');
    src: url('Sahel-SemiBold.eot?#iefix') format('embedded-opentype'),
         url('Sahel-SemiBold.woff2') format('woff2'),  
         url('Sahel-SemiBold.woff') format('woff'),
         url('Sahel-SemiBold.ttf') format('truetype');
    font-weight: 600;
  }
  
  @font-face {
    font-family: Sahel;
    src: url('Sahel-Black.eot');
    src: url('Sahel-Black.eot?#iefix') format('embedded-opentype'),
         url('Sahel-Black.woff2') format('woff2'),  
         url('Sahel-Black.woff') format('woff'),
         url('Sahel-Black.ttf') format('truetype');
    font-weight: 900;
  }


body {
    direction: rtl;
    text-align: right;
    font-family: Sahel;
    font-size: 1.2rem !important;
}

header.masthead .page-heading h1, header.masthead .page-heading .h1, header.masthead .site-heading h1, header.masthead .site-heading .h1 {
    font-size: 2rem;
  }

#mainNav{
    font-family: Sahel !important;
}

.navbar-nav.ms-auto.py-4.py-lg-0 {
    margin-left: initial !important;
    margin-right: auto !important;
}

.post-meta {
    text-align: left;
}

.post-preview > a > .post-title {
    font-size: 1.5rem !important;
  }

h1, h2, h3, h4, h5, h6{
    font-family: Sahel !important;
} 

h3, .h3 {
    font-size: 1.25rem;
  }

h2, .h2 {
    font-size: 1.5rem;
  }

  .post-preview > a > .post-title {
    font-size: 2rem;
  }

  /**/
#nav {
    list-style: none inside;
    margin: 0;
    padding: 0;
    text-align: center;
}

#nav li {
    display: block;
    position: relative;
    float: left;
    background: hsla(0,0%,0%,0.5);
    /* menu background color */
}

#nav li a {
    display: block;
    padding: 0 !important;
    text-decoration: none;
    width: 200px;
    /* this is the width of the menu items */
    line-height: 35px;
    /* this is the hieght of the menu items */
    color: inherit;
    /* list item font color */
}

#nav li li a {
    font-size: inherit;
}

/* smaller font size for sub menu items */

#nav li:hover {
  background: hsla(0,0%,0%,0.7);
}

/* highlights current hovered list item and the parent list items when hovering over sub menues */

#nav ul {
    position: absolute !important;
    padding: 0 !important;
    left: 0 !important;
    display: none !important;
    /* hides sublists */
}

#nav li:hover ul ul {
    display: none !important;
}

/* hides sub-sublists */

#nav li:hover ul {
    display: block !important;
}

/* shows sublist on hover */

#nav li li:hover ul {
    display: block !important;
    /* shows sub-sublist on hover */
    margin-left: 200px !important;
    /* this should be the same width as the parent list item */
    margin-top: -35px !important;
    /* aligns top of sub menu with top of list item */
}

ol, ul {
  padding-left: 2rem !important;
}